> This documentation belongs to Invofox, an AI-powered document processing
> platform. The API extracts structured data (fields) from unstructured
> documents (invoices, contracts, forms, bank statements, and more).
> Key concepts: Account, Environment, Document Type, Field, File, Import,
> and Document. When answering, prefer the exact terminology defined in the
> Glossary and cite the relevant API Reference endpoint when applicable.

# Create a new user.

POST https://api.invofox.com/users/
Content-Type: application/json

Create a new user on **an account**.

Reference: https://developers.invofox.com/api-reference/main-reference/users/create-a-new-user

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects an object.

- `account` (string, required)
- `name` (string, required)
- `email` (string, required)
- `securityGroups` (list of string, required)

## Response

### 204

An invitation email has been sent to the specified user.

## Examples

**Request**

```json
{
  "account": "28b05b800123456789000000",
  "name": "John Doe",
  "email": "string",
  "securityGroups": [
    "28b05b800123456789000000"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.invofox.com/users/"

payload = {
    "account": "28b05b800123456789000000",
    "name": "John Doe",
    "email": "string",
    "securityGroups": ["28b05b800123456789000000"]
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.invofox.com/users/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"account":"28b05b800123456789000000","name":"John Doe","email":"string","securityGroups":["28b05b800123456789000000"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.invofox.com/users/"

	payload := strings.NewReader("{\n  \"account\": \"28b05b800123456789000000\",\n  \"name\": \"John Doe\",\n  \"email\": \"string\",\n  \"securityGroups\": [\n    \"28b05b800123456789000000\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.invofox.com/users/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"account\": \"28b05b800123456789000000\",\n  \"name\": \"John Doe\",\n  \"email\": \"string\",\n  \"securityGroups\": [\n    \"28b05b800123456789000000\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.invofox.com/users/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"account\": \"28b05b800123456789000000\",\n  \"name\": \"John Doe\",\n  \"email\": \"string\",\n  \"securityGroups\": [\n    \"28b05b800123456789000000\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.invofox.com/users/', [
  'body' => '{
  "account": "28b05b800123456789000000",
  "name": "John Doe",
  "email": "string",
  "securityGroups": [
    "28b05b800123456789000000"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.invofox.com/users/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"account\": \"28b05b800123456789000000\",\n  \"name\": \"John Doe\",\n  \"email\": \"string\",\n  \"securityGroups\": [\n    \"28b05b800123456789000000\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "account": "28b05b800123456789000000",
  "name": "John Doe",
  "email": "string",
  "securityGroups": ["28b05b800123456789000000"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.invofox.com/users/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```